Все тесты должны быть перечислены в файле tests.py, который должен находиться в той же папке, что и данная библиотека.

Пример файла tests.py:

    tests = (
        {
            "id": "ab_form_color",
            "variants": (
                {"id": "dark"},
                {"id": "blue"},
            )
        },
        {
            "id": "ab_form_color",
            "variants": (
                {"id": "small"},
                {"id": "big"},
            )
        }
    )


#### Как использовать:
  
  * Прописываем middleware 'roistat.split_test.ABTest' в файле settings.py вашего сайта на django
  * Теперь в объекте request имеется атрибут split_tests, который можно передать в шаблон или использовать в коде
  
  View приложения
  
    def index(request):
        return render(
            request,
            'index.html',
            context={'tests': request.split_tests},
        )
  
  
  Пример использования в шаблоне index.html
  
    <!DOCTYPE html>
    <html lang="en">
    <head>
      {% block title %}<title>Test site</title>{% endblock %}
    </head>
    <body>
      {% block content %}Hello world!{% endblock %}
      {% if tests.tests_values.ab_form_color == 'blue' %}Blue{% else %}Not blue{% endif %}
    </body>
    </html>
  
  
  Пример использования в коде
  
    if request.split_tests.tests_values().ab_main_title == 'big':
        title = 'Big title'
    else:
        title = 'Not so big title'
        
    return render(
        request,
        'index.html',
        context={'title': title},
    )
